import platform
import sys
import os
from ctypes import cdll
from .version import __version__

module_dir = os.path.dirname(os.path.realpath(__file__))
os.environ["PATH"] += os.pathsep + module_dir

if platform.architecture()[1] == "ELF":
    cdll.LoadLibrary(module_dir + '/libowlift.so')
else:
    try:
        cdll.LoadLibrary('python3.dll')
    except:
        raise FileNotFoundError("python3.dll was not found (copy it to the right path)")

from . import owlift
from .version import __version__
sys.modules['owlift'] = owlift
owlift.__version__ = __version__